#!/bin/bash

# Title         : 3G/run_forever.sh
# Description   : Prepares and executes xgoldscanner in an infinite loop
# Author        : Linus Neumann, The SRLabs Team
# Usage         : 3G/run_forever.sh
# Notes         : This script is part of the GSMmap live distribution

##################
# Initialization #
##################

scriptDirectory="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"

clear
echo "Please enter your phone number"
read pre_number
pre_number_clean=`echo $pre_number | sed -e 's/+/00/g' | sed -e 's/[^0-9]*//g' | sed -e 's/ //g'`

#############
# Constants #
#############

INTERVAL=3600 # seconds between each repetition

#############
# Main loop #
#############

while true; do
	sudo $scriptDirectory/xgoldscanner.sh -n $pre_number_clean -g -y -3 -i10 # > /dev/null
	sudo killall xgoldscanner.sh
	sleep $INTERVAL
done
